/* Image Colors */
.sepia50{filter:sepia(50%)}
.sepia75{filter:sepia(75%)}
.sepia100,.hover-sepia:hover{filter:sepia(100%)}

.gray50{filter:grayscale(50%)}
.gray75{filter:grayscale(75%)}
.gray100,.hover-gray:hover{filter:grayscale(100%)}

/*--- btn colors -- */
.success       {border-color:    #4CAF50;color: green     !important}
.success:hover {background-color:#4CAF50;color: white     !important}
.info          {border-color:    #2196F3;color: dodgerblue!important}
.info:hover    {background-color:#2196F3;color: white     !important}
.warning       {border-color:    #ff9800;color: orange    !important}
.warning:hover {background-color:#ff9800;color: white     !important}
.danger        {border-color:    #f44336;color: red       !important}
.danger:hover  {background-color:#f44336;color: white     !important}
.default       {border-color:    #e7e7e7;color: black     !important}

/* background black, gray and white */

.bg-black25{background-color:rgba(0,0,0,0.25)!important}
.bg-black50{background-color:rgba(0,0,0,0.50)!important}
.bg-black75{background-color:rgba(0,0,0,0.75)!important}

.bg-black, .hover-bg-black:hover       {color:#fff!important;background-color:#000000!important}

.bg-d-gray,.hover-bg-d-gray:hover      {color:#fff!important;background-color:#616161!important}
.bg-m-gray,.hover-bg-m-gray:hover      {color:#000!important;background-color:#9e9e9e!important}
.bg-l-gray,.hover-bg-l-gray:hover      {color:#000!important;background-color:#f1f1f1!important}

.bg-white25{background-color:rgba(255,255,255,0.25)!important}
.bg-white50{background-color:rgba(255,255,255,0.50)!important}
.bg-white75{background-color:rgba(255,255,255,0.75)!important}

.bg-white, .hover-bg-white:hover       {color:#000!important;background-color:#ffffff!important}

/* background Colors darker (d-) medium (m-) lighter (l-) */
.bg-d-amber,.hover-bg-d-amber:hover    {color:#000!important;background-color:#806000!important}
.bg-m-amber,.hover-bg-m-amber:hover    {color:#000!important;background-color:#ffc107!important}
.bg-l-amber,.hover-bg-l-amber:hover    {color:#000!important;background-color:#ffdf80!important}

.bg-d-aqua,.hover-bg-d-aqua:hover      {color:#000!important;background-color:#008080!important}
.bg-m-aqua,.hover-bg-m-aqua:hover      {color:#000!important;background-color:#00ffff!important}
.bg-l-aqua,.hover-bg-l-aqua:hover      {color:#000!important;background-color:#80ffff!important}

.bg-d-blue,.hover-bg-d-blue:hover      {color:#fff!important;background-color:#064579!important}
.bg-m-blue,.hover-bg-m-blue:hover      {color:#fff!important;background-color:#2196F3!important}
.bg-l-blue,.hover-bg-l-blue:hover      {color:#fff!important;background-color:#86c5f9!important}

.bg-d-brown,.hover-bg-d-brown:hover    {color:#fff!important;background-color:#cfb8af!important}
.bg-m-brown,.hover-bg-m-brown:hover    {color:#fff!important;background-color:#9f7160!important}
.bg-l-brown,.hover-bg-l-bown:hover     {color:#fff!important;background-color:#503830!important}

.bg-d-cyan, .hover-bg-d-cyan:hover     {color:#000!important;background-color:#007180!important}
.bg-m-cyan, .hover-bg-m-cyan:hover     {color:#000!important;background-color:#00e1ff!important}
.bg-l-cyan, .hover-bg-l-cyan:hover     {color:#000!important;background-color:#80f0ff!important}

.bg-d-steel,.hover-bg-d-steel:hover    {color:#fff!important;background-color:#34444b!important}
.bg-m-steel,.hover-bg-m-steel:hover    {color:#fff!important;background-color:#698796!important}
.bg-l-steel,.hover-bg-l-steel:hover    {color:#fff!important;background-color:#b4c3cb!important}

.bg-d-green,.hover-bg-d-green:hover    {color:#fff!important;background-color:#275929!important}
.bg-m-green,.hover-bg-m-green:hover    {color:#fff!important;background-color:#4eb151!important}
.bg-l-green,.hover-bg-l-green:hover    {color:#fff!important;background-color:#a6d8a8!important}

.bg-d-leaf, .hover-bg-d-leaf:hover     {color:#000!important;background-color:#426020!important}
.bg-m-leaf, .hover-bg-m-leaf:hover     {color:#000!important;background-color:#84bf40!important}
.bg-l-leaf, .hover-bg-l-leaf:hover     {color:#000!important;background-color:#c1df9f!important}

.bg-d-indigo,.hover-bg-d-indigo:hover  {color:#fff!important;background-color:#212a5e!important}
.bg-m-indigo,.hover-bg-m-indigo:hover  {color:#fff!important;background-color:#4255bd!important}
.bg-l-indigo,.hover-bg-l-indigo:hover  {color:#fff!important;background-color:#a1aade!important}

.bg-d-khaki,.hover-bg-d-khaki:hover    {color:#000!important;background-color:#71670f!important}
.bg-m-khaki,.hover-bg-m-khaki:hover    {color:#000!important;background-color:#e2ce1d!important}
.bg-l-khaki,.hover-bg-l-khaki:hover    {color:#000!important;background-color:#f0e68c!important}

.bg-d-lime, .hover-bg-d-lime:hover     {color:#000!important;background-color:#636c13!important}
.bg-m-lime, .hover-bg-m-lime:hover     {color:#000!important;background-color:#c7d926!important}
.bg-l-lime, .hover-bg-l-lime:hover     {color:#000!important;background-color:#e3ec93!important}

.bg-d-orange,.hover-bg-d-orange:hover  {color:#000!important;background-color:#804d00!important}
.bg-m-orange,.hover-bg-m-orange:hover  {color:#000!important;background-color:#ff9800!important}
.bg-l-orange,.hover-bg-l-orange:hover  {color:#000!important;background-color:#ffcc80!important}

.bg-d-tomato,.hover-bg-d-tomato:hover  {color:#fff!important;background-color:#801e00!important}
.bg-m-tomato,.hover-bg-m-tomato:hover  {color:#fff!important;background-color:#ff3c00!important}
.bg-l-tomato,.hover-bg-l-tomato:hover  {color:#fff!important;background-color:#ff9d80!important}

.bg-d-pink,  .hover-bg-d-pink:hover    {color:#fff!important;background-color:#740b2e!important}
.bg-m-pink,  .hover-bg-m-pink:hover    {color:#fff!important;background-color:#e8175d!important}
.bg-l-pink,  .hover-bg-l-pink:hover    {color:#fff!important;background-color:#f48bae!important}

.bg-d-violet,.hover-bg-d-violet:hover  {color:#fff!important;background-color:#5c1769!important}
.bg-m-violet,.hover-bg-m-violet:hover  {color:#fff!important;background-color:#b92ed1!important}
.bg-l-violet,.hover-bg-l-violet:hover  {color:#fff!important;background-color:#dc96e8!important}

.bg-d-purple,.hover-bg-d-purple:hover  {color:#fff!important;background-color:#371f61!important}
.bg-m-purple,.hover-bg-m-purple:hover  {color:#fff!important;background-color:#6e3dc2!important}
.bg-l-purple,.hover-bg-l-purple:hover  {color:#fff!important;background-color:#b69ee0!important}

.bg-d-red,   .hover-bg-d-red:hover     {color:#fff!important;background-color:#790e06!important}
.bg-m-red,   .hover-bg-m-red:hover     {color:#fff!important;background-color:#f21c0d!important}
.bg-l-red,   .hover-bg-l-red:hover     {color:#fff!important;background-color:#f98e86!important}

.bg-d-sand,  .hover-bg-d-sand:hover    {color:#000!important;background-color:#76500a!important}
.bg-m-sand,  .hover-bg-m-sand:hover    {color:#000!important;background-color:#eca013!important}
.bg-l-sand,  .hover-bg-l-sand:hover    {color:#000!important;background-color:#f5d089!important}

.bg-d-teal,  .hover-bg-d-teal:hover    {color:#fff!important;background-color:#008073!important}
.bg-m-teal,  .hover-bg-m-teal:hover    {color:#fff!important;background-color:#00ffe5!important}
.bg-l-teal,  .hover-bg-l-teal:hover    {color:#fff!important;background-color:#80fff2!important}

.bg-d-yellow,.hover-bg-d-yellow:hover  {color:#000!important;background-color:#807300!important}
.bg-m-yellow,.hover-bg-m-yellow:hover  {color:#000!important;background-color:#ffe600!important}
.bg-l-yellow,.hover-bg-l-yellow:hover  {color:#000!important;background-color:#fff280!important}

/* Background pale  (p-) */
.bg-p-sand,  .hover-bg-p-sand:hover    {color:#000!important;background-color:#fdf5e6!important}
.bg-p-red,   .hover-bg-p-red:hover     {color:#000!important;background-color:#ffdddd!important}
.bg-p-green, .hover-bg-p-green:hover   {color:#000!important;background-color:#ddffdd!important}
.bg-p-yellow,.hover-bg-p-yellow:hover  {color:#000!important;background-color:#ffffcc!important}
.bg-p-blue,  .hover-bg-p-blue:hover    {color:#000!important;background-color:#ddffff!important}

/* Text black, gray and white */
.black, .hover-black:hover       {color:#000000!important}

.d-gray,.hover-d-gray:hover      {color:#616161!important}
.m-gray,.hover-m-gray:hover      {color:#9e9e9e!important}
.l-gray,.hover-l-gray:hover      {color:#f1f1f1!important}

.white, .hover-white:hover       {color:#ffffff!important}

/* Text Colors darker (d-) medium (m-) lighter (l-) */
.d-amber,.hover-d-amber:hover    {color:#806000!important}
.m-amber,.hover-m-amber:hover    {color:#ffc107!important}
.l-amber,.hover-l-amber:hover    {color:#ffdf80!important}

.d-aqua,.hover-d-aqua:hover      {color:#008080!important}
.m-aqua,.hover-m-aqua:hover      {color:#00ffff!important}
.l-aqua,.hover-l-aqua:hover      {color:#80ffff!important}

.d-blue,.hover-d-blue:hover      {color:#064579!important}
.m-blue,.hover-m-blue:hover      {color:#2196F3!important}
.l-blue,.hover-l-blue:hover      {color:#86c5f9!important}

.d-brown,.hover-d-brown:hover    {color:#cfb8af!important}
.m-brown,.hover-m-brown:hover    {color:#9f7160!important}
.l-brown,.hover-l-brown:hover    {color:#503830!important}

.d-cyan, .hover-d-cyan:hover     {color:#007180!important}
.m-cyan, .hover-m-cyan:hover     {color:#00e1ff!important}
.l-cyan, .hover-l-cyan:hover     {color:#80f0ff!important}

.d-steel,.hover-d-steel:hover    {color:#34444b!important}
.m-steel,.hover-m-steel:hover    {color:#698796!important}
.l-steel,.hover-l-steel:hover    {color:#b4c3cb!important}

.d-green,.hover-d-green:hover    {color:#275929!important}
.m-green,.hover-m-green:hover    {color:#4eb151!important}
.l-green,.hover-l-green:hover    {color:#a6d8a8!important}

.d-leaf, .hover-d-leaf:hover     {color:#426020!important}
.m-leaf, .hover-m-leaf:hover     {color:#84bf40!important}
.l-leaf, .hover-l-leaf:hover     {color:#c1df9f!important}

.d-indigo,.hover-d-indigo:hover  {color:#212a5e!important}
.m-indigo,.hover-m-indigo:hover  {color:#4255bd!important}
.l-indigo,.hover-l-indigo:hover  {color:#a1aade!important}

.d-khaki,.hover-d-khaki:hover    {color:#71670f!important}
.m-khaki,.hover-m-khaki:hover    {color:#e2ce1d!important}
.l-khaki,.hover-l-khaki:hover    {color:#f0e68c!important}

.d-lime, .hover-d-lime:hover     {color:#636c13!important}
.m-lime, .hover-m-lime:hover     {color:#c7d926!important}
.l-lime, .hover-l-lime:hover     {color:#e3ec93!important}

.d-orange,.hover-d-orange:hover  {color:#804d00!important}
.m-orange,.hover-m-orange:hover  {color:#ff9800!important}
.l-orange,.hover-l-orange:hover  {color:#ffcc80!important}

.d-tomato,.hover-d-tomato:hover  {color:#801e00!important}
.m-tomato,.hover-m-tomato:hover  {color:#ff3c00!important}
.l-tomato,.hover-l-tomato:hover  {color:#ff9d80!important}

.d-pink,  .hover-d-pink:hover    {color:#740b2e!important}
.m-pink,  .hover-m-pink:hover    {color:#e8175d!important}
.l-pink,  .hover-l-pink:hover    {color:#f48bae!important}

.d-violet,.hover-d-violet:hover   {color:#5c1769!important}
.m-violet,.hover-m-violet:hover  {color:#b92ed1!important}
.l-violet,.hover-l-violet:hover  {color:#dc96e8!important}

.d-purple,.hover-d-purple:hover  {color:#371f61!important}
.m-purple,.hover-m-purple:hover  {color:#6e3dc2!important}
.l-purple,.hover-l-purple:hover  {color:#b69ee0!important}

.d-red,   .hover-d-red:hover     {color:#790e06!important}
.m-red,   .hover-m-red:hover     {color:#f21c0d!important}
.l-red,   .hover-l-red:hover     {color:#f98e86!important}

.d-sand,  .hover-d-sand:hover    {color:#76500a!important}
.m-sand,  .hover-m-sand:hover    {color:#eca013!important}
.l-sand,  .hover-l-sand:hover    {color:#f5d089!important}

.d-teal,  .hover-d-teal:hover    {color:#008073!important}
.m-teal,  .hover-m-teal:hover    {color:#00ffe5!important}
.l-teal,  .hover-l-teal:hover    {color:#80fff2!important}

.d-yellow,.hover-d-yellow:hover  {color:#807300!important}
.m-yellow,.hover-m-yellow:hover  {color:#ffe600!important}
.l-yellow,.hover-l-yellow:hover  {color:#fff280!important}

/* Text pale  (p-) */
.p-sand,  .hover-p-sand:hover    {color:#fdf5e6!important}
.p-red,   .hover-p-red:hover     {color:#ffdddd!important}
.p-green, .hover-p-green:hover   {color:#ddffdd!important}
.p-yellow,.hover-p-yellow:hover  {color:#ffffcc!important}
.p-blue,  .hover-p-blue:hover    {color:#ddffff!important}

/* Border black, gray and white */
.border-black, .hover-border-black:hover       {border-color:#000000!important}

.border-d-gray,.hover-border-d-gray:hover      {border-color:#616161!important}
.border-m-gray,.hover-border-m-gray:hover      {border-color:#9e9e9e!important}
.border-l-gray,.hover-border-l-gray:hover      {border-color:#f1f1f1!important}

.border-white, .hover-border-white:hover       {border-color:#ffffff!important}

/* Border  Colors darker (d-) medium (m-) lighter (l-) */
.border-d-amber,.hover-border-d-amber:hover    {border-color:#806000!important}
.border-m-amber,.hover-border-m-amber:hover    {border-color:#ffc107!important}
.border-l-amber,.hover-border-l-amber:hover    {border-color:#ffdf80!important}

.border-d-aqua,.hover-border-d-aqua:hover      {border-color:#008080!important}
.border-m-aqua,.hover-border-m-aqua:hover      {border-color:#00ffff!important}
.border-l-aqua,.hover-border-l-aqua:hover      {border-color:#80ffff!important}

.border-d-blue,.hover-border-d-blue:hover      {border-color:#064579!important}
.border-m-blue,.hover-border-m-blue:hover      {border-color:#2196F3!important}
.border-l-blue,.hover-border-l-blue:hover      {border-color:#86c5f9!important}

.border-d-brown,.hover-border-d-brown:hover    {border-color:#cfb8af!important}
.border-m-brown,.hover-border-m-brown:hover    {border-color:#9f7160!important}
.border-l-brown,.hover-border-l-brown:hover    {border-color:#503830!important}

.border-d-cyan, .hover-border-d-cyan:hover     {border-color:#007180!important}
.border-m-cyan, .hover-border-m-cyan:hover     {border-color:#00e1ff!important}
.border-l-cyan, .hover-border-l-cyan:hover     {border-color:#80f0ff!important}

.border-d-steel,.hover-border-d-steel:hover    {border-color:#34444b!important}
.border-m-steel,.hover-border-m-steel:hover    {border-color:#698796!important}
.border-l-steel,.hover-border-l-steel:hover    {border-color:#b4c3cb!important}

.border-d-green,.hover-border-d-green:hover    {border-color:#275929!important}
.border-m-green,.hover-border-m-green:hover    {border-color:#4eb151!important}
.border-l-green,.hover-border-l-green:hover    {border-color:#a6d8a8!important}

.border-d-leaf, .hover-border-d-leaf:hover     {border-color:#426020!important}
.border-m-leaf, .hover-border-m-leaf:hover     {border-color:#84bf40!important}
.border-l-leaf, .hover-border-l-leaf:hover     {border-color:#c1df9f!important}

.border-d-indigo,.hover-border-d-indigo:hover  {border-color:#212a5e!important}
.border-m-indigo,.hover-border-m-indigo:hover  {border-color:#4255bd!important}
.border-l-indigo,.hover-border-l-indigo:hover  {border-color:#a1aade!important}

.border-d-khaki,.hover-border-d-khaki:hover    {border-color:#71670f!important}
.border-m-khaki,.hover-border-m-khaki:hover    {border-color:#e2ce1d!important}
.border-l-khaki,.hover-border-l-khaki:hover    {border-color:#f0e68c!important}

.border-d-lime, .hover-border-d-lime:hover     {border-color:#636c13!important}
.border-m-lime, .hover-border-m-lime:hover     {border-color:#c7d926!important}
.border-l-lime, .hover-border-l-lime:hover     {border-color:#e3ec93!important}

.border-d-orange,.hover-border-d-orange:hover  {border-color:#804d00!important}
.border-m-orange,.hover-border-m-orange:hover  {border-color:#ff9800!important}
.border-l-orange,.hover-border-l-orange:hover  {border-color:#ffcc80!important}

.border-d-tomato,.hover-border-d-tomato:hover  {border-color:#801e00!important}
.border-m-tomato,.hover-border-m-tomato:hover  {border-color:#ff3c00!important}
.border-l-tomato,.hover-border-l-tomato:hover  {border-color:#ff9d80!important}

.border-d-pink,  .hover-border-d-pink:hover    {border-color:#740b2e!important}
.border-m-pink,  .hover-border-m-pink:hover    {border-color:#e8175d!important}
.border-l-pink,  .hover-border-l-pink:hover    {border-color:#f48bae!important}

.border-d-violet,.hover-border-d-violet:hover  {border-color:#5c1769!important}
.border-m-violet,.hover-border-m-violet:hover  {border-color:#b92ed1!important}
.border-l-violet,.hover-border-l-violet:hover  {border-color:#dc96e8!important}

.border-d-purple,.hover-border-d-purple:hover  {border-color:#371f61!important}
.border-m-purple,.hover-border-m-purple:hover  {border-color:#6e3dc2!important}
.border-l-purple,.hover-border-l-purple:hover  {border-color:#b69ee0!important}

.border-d-red,   .hover-border-d-red:hover     {border-color:#790e06!important}
.border-m-red,   .hover-border-m-red:hover     {border-color:#f21c0d!important}
.border-l-red,   .hover-border-l-red:hover     {border-color:#f98e86!important}

.border-d-sand,  .hover-border-d-sand:hover    {border-color:#76500a!important}
.border-m-sand,  .hover-border-m-sand:hover    {border-color:#eca013!important}
.border-l-sand,  .hover-border-l-sand:hover    {border-color:#f5d089!important}

.border-d-teal,  .hover-border-d-teal:hover    {border-color:#008073!important}
.border-m-teal,  .hover-border-m-teal:hover    {border-color:#00ffe5!important}
.border-l-teal,  .hover-border-l-teal:hover    {border-color:#80fff2!important}

.border-d-yellow,.hover-border-d-yellow:hover  {border-color:#807300!important}
.border-m-yellow,.hover-border-m-yellow:hover  {border-color:#ffe600!important}
.border-l-yellow,.hover-border-l-yellow:hover  {border-color:#fff280!important}

/* Border pale  (p-) */
.border-p-sand,  .hover-border-p-sand:hover    {border-color:#fdf5e6!important}
.border-p-red,   .hover-border-p-red:hover     {border-color:#ffdddd!important}
.border-p-green, .hover-border-p-green:hover   {border-color:#ddffdd!important}
.border-p-yellow,.hover-border-p-yellow:hover  {border-color:#ffffcc!important}
.border-p-blue,  .hover-border-p-blue:hover    {border-color:#ddffff!important}